Subject: Re: [PATCH 31/32] perf powerpc: Use uapi/unistd.h to fix build error

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Mon, 19 Nov 2012 12:07:33 -0300

Em Mon, Nov 19, 2012 at 08:29:09AM -0500, Josh Boyer escreveu:
> On Sun, Nov 18, 2012 at 9:29 AM, Arnaldo Carvalho de Melo <[email-masked]> wrote:
> > From: Sukadev Bhattiprolu <[email-masked]>

> > Use the 'unistd.h' from arch/powerpc/include/uapi to build the perf tool.
> 
> This would work for powerpc, but at least s390x and ARM have the same
> build issue.  Why would we fix this piecemeal per-arch?
> 
> David Howells has a patch that _should_ fix it for all of them at once.
> Is there a reason that isn't going in?

David rebased his patch on top of my perf/core branch, I just tested it
and all works as expected, so I'd say he should push that branch
upstream as I can't just cherry pick some csets, it needs a merge that
involves more than just tools/perf AFAIK.

- Arnaldo